Implement confirmation dialog shown before unblocking downloads
This bug is about the part of the work defined by bug  related to adding a confirmation dialog when the user chooses to unblock a download.

This should be based on the mockups in bug  and their evolution, as well as the strings in bug 
